tell application "NetNewsWire"
	set tabIndex to index of selected tab
	if tabIndex is 0 then
		-- list view
		try
			set episodeName to title of selectedHeadline
			set episodeHTML to description of selectedHeadline
			tell application "Textcast"
				make new episode with properties {name:episodeName, source html:episodeHTML}
			end tell
		on error msg number errNum
			if errNum = -1728 then
				tell me to display alert "Please select a news item or tab in NetNewsWire to you wish to import."
				tell application "NetNewsWire" to activate
			end if
		end try
	else
		-- web view
		set episodeName to do JavaScript "document.title"
		
		-- Try to get the selected text first, if any.
		set episodeText to do JavaScript "var s = window.getSelection();''+s"
		if episodeText is "" then
			-- No selected text: just grab the entire document's text.
			set episodeText to do JavaScript "document.documentElement.innerText"
		end if
		tell application "Textcast"
			make new episode with properties {name:episodeName, source text:episodeText}
		end tell
	end if
end tell